<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full flex items-center justify-end gap-2">
  <div [ngClass]="{ 'filter-button-active': !filterActive, 'filter-button-inactive': filterActive }" (click)="clearFilter()">All</div>
  <div [ngClass]="{ 'filter-button-active': filterActive, 'filter-button-inactive': !filterActive }" (click)="openFilterDialog()">
    <div class="flex items-center gap-2">
      <i *ngIf="!filterActive" class="fa fa-sliders" style="font-size: 0.8rem"></i>
      <i *ngIf="filterActive" class="pi pi-pencil" style="font-size: 0.8rem"></i>
      <div>Filter</div>
    </div>
  </div>
</div>
